How to use multiple cocoapod version on same Mac machine.

  1. Install a particular pod version on your mac. the following command installs 1.8.4 version
sudo gem install cocoapods -v 1.8.4

Install multiple version using the command above.

2. Check installed pod versions

gem list — local | grep cocoapods

This will list all installed cocoapod versions (I had 1.9.3 installed).

3. Now you can use any of the installed versions for pod install.

pod _1.8.4_ install

Install pods with specific version of cocoapods (change to your required version).

That’s it.

Enjoy!!

If you enjoyed reading this post, please share and give some claps so others can find it 👏👏👏👏👏 !!!!

You can follow me on Medium for fresh articles. Also, connect with me on LinkedIn.

If you have any comment, question, or recommendation, feel free to post them in the comment section below!

--

--

Get the Medium app

A button that says 'Download on the App Store', and if clicked it will lead you to the iOS App store
A button that says 'Get it on, Google Play', and if clicked it will lead you to the Google Play store
Abhimuralidharan

Abhimuralidharan

iOS and tvOS developer, dreamer, photographer 🤨